﻿using System.Collections.Generic;

namespace NerdWare.Crm2011VsTools.Core.Crm
{
    public abstract class DiscoverCrmBase :IDiscoverCrm
    {
        public CrmApplicationDescriptor CrmApplicationDescriptor { get; private set; }
        public List<OrgDetail> Organizations { get; set; }

        protected DiscoverCrmBase()
        {
            Organizations = new List<OrgDetail>();
        }

        public abstract void Discover();

        public void SetApplicationDescriptor(CrmApplicationDescriptor crmApplicationDescriptor)
        {
            this.CrmApplicationDescriptor = crmApplicationDescriptor;
        }
    }
}
