﻿using System;
using NerdWare.Crm2011VsTools.CrmScriptInjector;

namespace NerdWare.Crm2011VsTools.DataModel
{
    class ScriptInjectorModel : IDisposable
    {
        private readonly ScriptProxy _scriptProxy;
        public ScriptProxy Proxy
        {
            get { return _scriptProxy; }
        }

        public ScriptInjectorModel()
        {
            _scriptProxy = new ScriptProxy();
        }

        /// <summary>
        /// Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources.
        /// </summary>
        public void Dispose()
        {
            if (_scriptProxy != null)
                _scriptProxy.Dispose();
        }
    }
}
