﻿using System;
using Microsoft.VisualStudio.Shell.Interop;

namespace NerdWare.Crm2011VsTools.Globals
{
    internal static class Logger
    {
        internal static IVsOutputWindowPane Output;

        public static void Log(this IVsOutputWindowPane @this, string message, params object[] args)
        {
            if (@this == null) throw new ArgumentNullException("this");

            @this.OutputString(string.Format(message, args));
            @this.OutputString(Environment.NewLine);
        }
    }
}
