﻿namespace NerdWare.Crm2011VsTools.Core
{
    /// <summary>
    /// Enumeration to define the CRM Type
    /// </summary>
    public enum CrmType
    {
        /// <summary>
        /// CRM 2011 On-Premise
        /// </summary>
        Crm2011OnPremise = 0,

        /// <summary>
        /// CRM 2011 Online for Noth America using Live ID
        /// </summary>
        Crm2011OnlineNorthAmericaLiveId = 1,

        /// <summary>
        /// CRM 2011 Online for EMEA using Live ID
        /// </summary>
        Crm2011OnlineEMEALiveId = 2,

        /// <summary>
        /// CRM 2011 Online for APAC using Live ID
        /// </summary>
        Crm2011OnlineAPACLiveId = 3,

        /// <summary>
        /// CRM 2011 Online for North America using Office 365
        /// </summary>
        Crm2011OnlineNorthAmericaOffice365 = 4,

        /// <summary>
        /// CRM 2011 Online for EMEA using Office 365
        /// </summary>
        Crm2011OnlineEMEAOffice365 = 5,

        /// <summary>
        /// CRM 2011 Online for APAC using Office 365
        /// </summary>
        Crm2011OnlineAPACOffice365 = 6

    }
}
